Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkCoreToken

Represents an OpenIddict token.

##### Inheritance

System.Object
OpenIddictEntityFrameworkCoreToken<System.String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreAuthorization>
OpenIddictEntityFrameworkCoreToken

##### Inherited Members

OpenIddictEntityFrameworkCoreToken<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreAuthorization>.Application
OpenIddictEntityFrameworkCoreToken<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreAuthorization>.Authorization
OpenIddictEntityFrameworkCoreToken<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreAuthorization>.ConcurrencyToken
OpenIddictEntityFrameworkCoreToken<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreAuthorization>.CreationDate
OpenIddictEntityFrameworkCoreToken<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreAuthorization>.ExpirationDate
OpenIddictEntityFrameworkCoreToken<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreAuthorization>.Id
OpenIddictEntityFrameworkCoreToken<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreAuthorization>.Payload
OpenIddictEntityFrameworkCoreToken<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreAuthorization>.Properties
OpenIddictEntityFrameworkCoreToken<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreAuthorization>.RedemptionDate
OpenIddictEntityFrameworkCoreToken<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreAuthorization>.ReferenceId
OpenIddictEntityFrameworkCoreToken<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreAuthorization>.Status
OpenIddictEntityFrameworkCoreToken<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreAuthorization>.Subject
OpenIddictEntityFrameworkCoreToken<String, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreAuthorization>.Type
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.EntityFrameworkCore.Models

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkCoreToken : OpenIddictEntityFrameworkCoreToken<string, OpenIddictEntityFrameworkCoreApplication, OpenIddictEntityFrameworkCoreAuthorization>

### Constructors

#### OpenIddictEntityFrameworkCoreToken()

##### Declaration

    public OpenIddictEntityFrameworkCoreToken()